package client;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Iterator;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import server.Hello;

public class WSClient {

    public static void main(String[] args) 
            throws MalformedURLException {

        // Create a Service instance based on 
        // the location of the WSDL
        URL wsdlLocation = new 
                URL("http://localhost:8080/hello?wsdl");
        QName serviceName = new 
                QName("HelloImplService");
        Service service = Service.
                create(wsdlLocation, serviceName);

        // Return a list of QNames from service endpoints
        System.out.println("List of QNames of service endpoints:");
        Iterator it = service.getPorts();
        while (it.hasNext()) {
            System.out.println("  " + it.next());
        }

        // Get the Hello stub 
        Hello hello = service.getPort(Hello.class);
        String result = hello.sayHello("Mustang");
        System.out.println("\nResponse from web service: ");
        System.out.println("  " + result);
    }
}
